cgDestroyBuffer(3)

NAME
cgDestroyBuffer - delete a buffer

SYNOPSIS
  #include <Cg/cg.h>

  void cgDestroyBuffer( CGbuffer buffer );

PARAMETERS

buffer
    The buffer to delete.

RETURN VALUES
None.

DESCRIPTION
cgDestroyBuffer deletes a buffer. The buffer object is not actually destroyed until no more programs are bound to the buffer object and any pending use of the buffer has completed. However, the handle buffer no longer refers to the buffer object (although it may be subsequently allocated to a different created resource).

EXAMPLES
cgDestroyBuffer( myBuffer );

ERRORS
CG_INVALID_BUFFER_HANDLE_ERROR is generated if buffer is not a valid buffer.

HISTORY
cgDestroyBuffer was introduced in Cg 2.0.

SEE ALSO
cgCreateBuffer, cgGLCreateBuffer